/**
 * @class kParticle
 * @brief Particle effects are the only actors of type kParticle.
 */
 
class kParticle : kActor
{
public:

	/**
	 * @brief The actor that spawned this particle
	 */
	kActor &Owner();
	
	/**
	 * @brief The direction of this particle
	 */
	kVec3 &Direction();
	
	/**
	 * @brief Returns true if sticking to an actor or static mesh
	 */
	const bool IsSticking();
	
	/**
	 * @brief Removes the particle
	 */
	void Kill();
	
	/**
	 * @brief Number frames the particle has been active for
	 */
	const float LifeFrames();
	kVec3 &Velocity();
	
	/**
	 * @brief The Def ID of this particle
	 */
	const int ParticleType();

};
